﻿@model eCommerce.UI.ViewModels.CatalogoViewModel
@using eCommerce.UI.Utils

@{
    Layout = null;
}

<div id="grid-view" class="products-grid fade tab-pane in active">

    <div class="product-grid-holder">
        <div class="row no-margin" style="display:flex; flex-wrap:wrap;">
            @foreach (var item in Model.Products)
            {

                <div class="col-xs-6 col-sm-3 no-margin product-item-holder hover">
                    <div class="product-item">

                        @if (item.OnSale)
                        {
                            <div class="ribbon red"><span>Sale!</span></div>
                        }

                        @if (item.IsNew)
                        {
                            <div class="new-span"><span>New in</span></div>
                        }

                        @if (item.SoldOut)
                        {
                            <div class="ribbon dark-grey"><span>Agotado</span></div>
                        }

                        @if (item.IsLastUnits)
                        {
                            <div class="ribbon red"><span>Últimas Unidades</span></div>
                        }

                        @if (item.Outstanding)
                        {   
                            <div class="ribbon green"><span>Destacado</span></div>
                        }
                        
                        @if (item.CustomerOldPrice.HasValue && item.CustomerOldPrice.Value > 0)
                        {
                            var number = (item.CustomerOldPrice.Value - item.CustomerPrice) / item.CustomerOldPrice.Value * 100;
                            var percentage = Math.Round((decimal.ToDouble(number)), MidpointRounding.AwayFromZero).ToString();
                            <div class="ribbon red"><span>@percentage% OFF</span></div>
                        }


                        @if (Model.ShowMaxDiscount && item.MaxDiscount.HasValue && item.MaxDiscount.Value < Model.ActiveCoupon.Percentage)
                        {
                            if (item.MaxDiscount.Value == 0)
                            {
                                <div class="ribbon dark-grey"><span>Producto en Oferta (no aplica cupón)</span></div>
                            }
                            else
                            {
                                <div class="ribbon orange"><span>Descuento máx. @(Math.Floor(item.MaxDiscount.Value).ToString())%</span></div>
                            }
                        }

                        <div class="image">
                            <a href="/@Utility.CataloguePrefix/@item.CategorySeoUrl/@item.SeoUrl">
                                <img src="@string.Format("{0}/{1}", Utility.ImgUrl, item.getDefaultResizedImageUrl)" class="primary-image" alt="...">
                                @if (item.hasSecondaryImage)
                                {
                                    <img src="@string.Format("{0}/{1}", Utility.ImgUrl, item.getSecondaryDefaultResizedImageUrl)" class="secondary-image" style="display:none;" alt="...">
                                }
                                
                            </a>
                        </div>
                        <div class="body" style="display:flex; flex-wrap:wrap;">
                            <div class="title">
                                <a href="/@Utility.CataloguePrefix/@item.CategorySeoUrl/@item.SeoUrl">@item.Title</a>
                            </div>
                        </div>
                        <div class="prices">
                            @if (item.CustomerOldPrice.HasValue)
                            {
                                <div class="price-prev">$@item.CustomerOldPrice.Value</div>
                            }
                            <div class="price-current">@(item.CustomerOldPrice.HasValue ? " / " : string.Empty) $@item.CustomerPrice</div>
                        </div>
                        <div>
                            @foreach (var color in item.ColorList)
                            {
                                <img class="img-responsive img-color colorSelector @(color.colorName=="Blanco" ? "colorSelector-white" : string.Empty)" src="@Model.BackOfficeUrl/Colors/@color.colorId.ToString()/@color.imageName" alt="@color.colorName" title="@color.colorName" width="20" height="20" />
                            }
                        </div>

                        <div class="hover-area">
                            <div class="add-cart-button">
                                <a href="/producto/@item.ProductId/@item.CategoryFormattedTitle-@item.FormattedTitle" class="le-button">Ver detalle</a>
                            </div>
                        </div>
                    </div><!-- /.product-item -->
                </div><!-- /.product-item-holder -->

            }

        

        </div><!-- /.row -->
    </div><!-- /.product-grid-holder -->

    <div class="pagination-holder">
        @Html.Partial("_Pager")
    </div>

</div>